Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getEventsEventTypes({
networkId: "string",
});
export const merakiNetworksEventsEventTypesExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_events_event_types(network_id="string")
pulumi.export("merakiNetworksEventsEventTypesExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetEventsEventTypes(ctx, &networks.GetEventsEventTypesArgs{
NetworkId: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksEventsEventTypesExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetEventsEventTypes.Invoke(new()
{
NetworkId = "string",
});
return new Dictionary<string, object?>
{
["merakiNetworksEventsEventTypesExample"] = example.Apply(getEventsEventTypesResult => getEventsEventTypesResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetEventsEventTypesArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getEventsEventTypes(GetEventsEventTypesArgs.builder()
.networkId("string")
.build());
ctx.export("merakiNetworksEventsEventTypesExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getEventsEventTypes
arguments:
networkId: string
outputs:
merakiNetworksEventsEventTypesExample: ${example.items}
Using getEventsEventTypes
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getEventsEventTypes(args: GetEventsEventTypesArgs, opts?: InvokeOptions): Promise<GetEventsEventTypesResult>
function getEventsEventTypesOutput(args: GetEventsEventTypesOutputArgs, opts?: InvokeOptions): Output<GetEventsEventTypesResult>def get_events_event_types(network_id: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetEventsEventTypesResult
def get_events_event_types_output(network_id: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetEventsEventTypesResult]func GetEventsEventTypes(ctx *Context, args *GetEventsEventTypesArgs, opts ...InvokeOption) (*GetEventsEventTypesResult, error)
func GetEventsEventTypesOutput(ctx *Context, args *GetEventsEventTypesOutputArgs, opts ...InvokeOption) GetEventsEventTypesResultOutput> Note: This function is named GetEventsEventTypes in the Go SDK.
public static class GetEventsEventTypes
{
public static Task<GetEventsEventTypesResult> InvokeAsync(GetEventsEventTypesArgs args, InvokeOptions? opts = null)
public static Output<GetEventsEventTypesResult> Invoke(GetEventsEventTypesInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetEventsEventTypesResult> getEventsEventTypes(GetEventsEventTypesArgs args, InvokeOptions options)
public static Output<GetEventsEventTypesResult> getEventsEventTypes(GetEventsEventTypesArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getEventsEventTypes:getEventsEventTypes
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Network
Id string - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
- network
Id string - networkId path parameter. Network ID
- network_
id str - networkId path parameter. Network ID
- network
Id String - networkId path parameter. Network ID
getEventsEventTypes Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Events Event Types Item> - Array of ResponseNetworksGetNetworkEventsEventTypes
- Network
Id string - networkId path parameter. Network ID
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Events Event Types Item - Array of ResponseNetworksGetNetworkEventsEventTypes
- Network
Id string - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Events Event Types Item> - Array of ResponseNetworksGetNetworkEventsEventTypes
- network
Id String - networkId path parameter. Network ID
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Events Event Types Item[] - Array of ResponseNetworksGetNetworkEventsEventTypes
- network
Id string - networkId path parameter. Network ID
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Events Event Types Item] - Array of ResponseNetworksGetNetworkEventsEventTypes
- network_
id str - networkId path parameter. Network ID
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseNetworksGetNetworkEventsEventTypes
- network
Id String - networkId path parameter. Network ID
Supporting Types
GetEventsEventTypesItem
- Category string
- Event category
- Description string
- Description of the event
- Type string
- Event type
- Category string
- Event category
- Description string
- Description of the event
- Type string
- Event type
- category String
- Event category
- description String
- Description of the event
- type String
- Event type
- category string
- Event category
- description string
- Description of the event
- type string
- Event type
- category str
- Event category
- description str
- Description of the event
- type str
- Event type
- category String
- Event category
- description String
- Description of the event
- type String
- Event type
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
